Param([string]$TunerNumber, [string]$ChannelNumber, [switch]$Debug=$false))

$ChannelNumberArray = $ChannelNumber.ToCharArray()

$HostName = "10.0.0.25"
$HostPort = 8080
$TuningCommand = "http://" + $HostName + ":" + $HostPort + "/sagex/api/?c=TransmitCommandUsingInfraredTuningPlugin"
$TuningPlugin = "USB-UIRT Transceiver"
$TuningPluginPort = "0"
$BaseRemoteName = "PaceRNG150"
$RemoteName = $BaseRemoteName + "-" + $TunerNumber
$RepeatFactor = "1"
$KeyDelayInMilliseconds = 500
$KeyDelay = $false

$LogFile = "log.txt"

$Username = "sage"
$Password = "frey"
$Headers = @{ Authorization = "Basic {0}" -f [Convert]::ToBase64String([Text.Encoding]::ASCII.GetBytes(("{0}:{1}" -f $Username,$Password))) }

if ($Debug) {
		$ChannelText = "***** Tune " + $ChannelNumber + " *****" 
		Write-Output $ChannelText | Out-File $LogFile -append
}

foreach ($Digit in $ChannelNumberArray) {

	

	$Uri = $TuningCommand + "&1=" + $TuningPlugin + "&2=" + $TuningPluginPort + "&3=" + $RemoteName + "&4=" + $Digit + "&5=" + $RepeatFactor

	if ($Debug) {
		Write-Output uri:$Uri | Out-File $LogFile -append
	}

	if ($KeyDelay) {
		Start-Sleep -Milliseconds $KeyDelayInMilliseconds
	}
	$Result = Invoke-RestMethod -Uri $Uri -Headers $Headers
	
	
}

if ($Debug) {
		Write-Output "*******************" | Out-File $LogFile -append
}